using System;
using System.Collections.Generic;
using System.Text;

namespace Indexer
{
   class Program
   {
      static void Main(string[] args)
      {
         string s = "Hallo Welt!";
         char c = s[0];                // c hat den Wert 'H'

         IndexerTest(ref c);           // funktioniert, da c eine Variable ist
         IndexerTest(ref s[0]);        // funktioniert nicht, da s[0] ein Indexerwert ist

         Console.WriteLine(c);
      }

      static void IndexerTest(ref char zeichen)
      {
         zeichen = '-';
      }
   }
}
